<div
  *ngIf="maxCount > limit"
  data-cy="pagination"
  class="pagination-container">
  <button
    data-cy="previous-page-button"
    mat-flat-button
    [ngClass]="{'hide-element': position <= 0}"
    (click)="onPreviousPage()">
    <mat-icon>keyboard_arrow_left</mat-icon>
  </button>
  <mat-label class="pagination-label">
    Page {{position / limit + 1}} of {{roundedLimit}}
  </mat-label>
  <button
    data-cy="next-page-button"
    mat-flat-button
    [ngClass]="{'hide-element': position + limit >= maxCount}"
    (click)="onNextPage()">
    <mat-icon>keyboard_arrow_right</mat-icon>
  </button>
</div>
